Ondernemingen zoeken
curl --request GET \
--url https://api.otbstudio.ai/v1/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.otbstudio.ai/v1/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.otbstudio.ai/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.otbstudio.ai/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.otbstudio.ai/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.otbstudio.ai/v1/companies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.otbstudio.ai/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"companies": [
{
"enterpriseNumber": "BE0734567835",
"name": "Noordkaap Warehousing",
"employees": 214,
"statusCode": "AC"
},
{
"enterpriseNumber": "BE0712345630",
"name": "Noordkaap Logistics",
"employees": 187,
"statusCode": "AC"
}
]
}{
"code": "query_required"
}{
"code": "missing_token"
}{
"code": "insufficient_credits"
}{
"code": "rate_limited"
}{
"code": "internal"
}{
"code": "busy"
}Companies
Ondernemingen zoeken
Zoekt ondernemingen op naam. Een resultaat is bewust beknopt: kies de onderneming die u bedoelt en haal haar profiel op met het ondernemingsnummer. Juridische, commerciële, Nederlandse en Franse namen worden allemaal doorzocht.
GET
/
v1
/
companies
Ondernemingen zoeken
curl --request GET \
--url https://api.otbstudio.ai/v1/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.otbstudio.ai/v1/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.otbstudio.ai/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.otbstudio.ai/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.otbstudio.ai/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.otbstudio.ai/v1/companies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.otbstudio.ai/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"companies": [
{
"enterpriseNumber": "BE0734567835",
"name": "Noordkaap Warehousing",
"employees": 214,
"statusCode": "AC"
},
{
"enterpriseNumber": "BE0712345630",
"name": "Noordkaap Logistics",
"employees": 187,
"statusCode": "AC"
}
]
}{
"code": "query_required"
}{
"code": "missing_token"
}{
"code": "insufficient_credits"
}{
"code": "rate_limited"
}{
"code": "internal"
}{
"code": "busy"
}Autorisaties
Een otb_live_-token, aangemaakt in het OTB Studio-dashboard.
Queryparameters
De naam om op te zoeken.
Hoeveel resultaten terugkomen, 1 tot 25. Een ontbrekende, nul-, negatieve of grotere waarde geeft 10.
Respons
De resultaten, het beste eerst. Een lege lijst als niets overeenkwam.
Show child attributes
Show child attributes